import java.awt.Shape;
import java.awt.geom.GeneralPath;
import java.util.ArrayList;

/**
 * Eine Schrankwand, die manipuliert werden kann und sich selbst auf einer Leinwand zeichnet.
 */
public class Schrankwand extends Moebel
{
  ArrayList<Schrank> schraenke;
  int anzahl;

  /**
   * Erzeuge eine neue Schrankwand mit einer Standardfarbe und Standardgroesse
   * an einer Standardposition.
   * Der Konstruktor muss die Zahl der Schrnke bergeben bekommen.
   */
    public Schrankwand(int anzahl, int x, int y, int o, String f)
  {
    xPosition = x;
    yPosition = y;
    orientierung = o;
    farbe = f;
    istSichtbar = false;
    int schrankbreite = 60;
    this.anzahl = anzahl;
    breite = schrankbreite*anzahl;
    tiefe  = 37;
    schraenke = new ArrayList<Schrank>();
    for (int i=0;i<anzahl;i++){
        schraenke.add(new Schrank(i*schrankbreite, 0, 0, farbe));    //nderung!
    }
  }
  
  /**
   * Berechnet das zu zeichnende Shape anhand der gegebenen Daten
   */
  protected Shape gibAktuelleFigur()
  {
      GeneralPath schrankwand = new GeneralPath();
      for (int i=0;i<anzahl;i++){
        schrankwand.append((schraenke.get(i)).gibAktuelleFigur(), false);
      }
      
      return  transformiere(schrankwand);
  }
  
}
